#746 closed enhancement (fixed)

realloc() optimization.

Reported by: osv2 Owned by: Joel Sherrill
Priority: lowest Milestone: 2
Component: score Version: 4.6
Severity: minor Keywords:
Cc: bugs@…, osv@… Blocked By:
Blocking:

Description

Current realloc() implementation neither grows nor shrinks current memory region. It always uses malloc()/free() pair that is very inefficient.

Release:
4.6.99.1

Attachments (3)

pr746a.diff (35.0 KB) - added by osv2 on Dec 3, 2006 at 1:31:13 PM.
pr746a.diff
rtems-20050122-realloc.patch.gz (8.0 KB) - added by osv2 on Dec 3, 2006 at 1:31:13 PM.
rtems-20050122-realloc.patch.gz
rtems-20050514-realloc.patch.gz (8.0 KB) - added by osv2 on Dec 3, 2006 at 1:31:13 PM.
rtems-20050514-realloc.patch.gz

Download all attachments as: .zip

Change History (3)

comment:1 Changed on May 20, 2005 at 6:15:47 PM by Joel Sherrill

Status: assignedclosed

comment:2 Changed on May 23, 2005 at 4:56:28 PM by osv2

From: Sergei Organov <osv@…>
To: joel@…
Cc: bugs@…
Subject: Re: RTEMS Re: rtems/746
Date: 23 May 2005 12:56:28 +0400

RTEMS-gnats@… writes:

Synopsis: realloc() optimization.

State-Changed-From-To: open->closed
State-Changed-By: joel
State-Changed-When: Fri, 20 May 2005 14:15:47 -0500
State-Changed-Why:
Attached patch (pr746a.diff) is as committed. I did some
style edits, wrote a man page and added the new call to the
Ada binding.


Thanks for reviewing and applying the patch.


--
Sergei.

Changed on Dec 3, 2006 at 1:31:13 PM by osv2

rtems-20050514-realloc.patch.gz

Note: See TracTickets for help on using tickets.